<?php
namespace App\Models;
class GameFc3d_Buy extends BaseModel
{
    public $num=3;//开奖号码个数
    protected $table="game_fc3d_buy";
    public $timestamps = false;
    //撤单
    function Cancel($where){
        $res=$this->where($where)->where('status',0)->update(['delstatus'=>2]);
        if($res){
            return -5051262422;//作废失败
        }
        return 1;
    }
    function cancel_order($order_id){
        $res=$this->where('order_id',$order_id)->update(['delstatus'=>2]);
        if(!$res){
            return -7021021122;
        }
        return 1;
    }
}
